package vehicle_rental;

public class Bike extends Vehicle {
	private String type;

	public Bike(int id, String brand, boolean rendted, String type) {
		super(id, brand, rendted);
		this.type = type;
	}

	@Override
	public String toString() {
		return "Bike [type=" + type + "]";
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public void drive() {
		System.out.println("Bike is being ridden.");
	}
	
	public void printCategory() {
		System.out.println("This is a Bike.");
	}
}